package ro.ieval.unical;
import android.app.ActionBar;
import android.app.Activity;
import android.app.DialogFragment;
import android.app.Fragment;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;

public final class AddEventActivity extends Activity {
	@Override
	protected void onCreate(final Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.add_event);
		setTitle(R.string.addeventtitle);
		final ActionBar actionBar = getActionBar();
		actionBar.setNavigationMode(ActionBar.NAVIGATION_MODE_TABS);
		final ActionBar.Tab t1 = actionBar.newTab().setText(this.getString(R.string.addevtab1));
		final ActionBar.Tab t2 = actionBar.newTab().setText(this.getString(R.string.addevtab2));
		final ActionBar.Tab t3 = actionBar.newTab().setText(this.getString(R.string.addevtab3));
		
		final Fragment f1 = new TrivialFragment();
		final Bundle b1=new Bundle();
		b1.putInt(TrivialFragment.ARGUMENT_LAYOUT, R.layout.add_event_basic_tab);
		f1.setArguments(b1);

		final Fragment f2 = new TrivialFragment();
		final Bundle b2=new Bundle();
		b2.putInt(TrivialFragment.ARGUMENT_LAYOUT, R.layout.add_event_details_tab);
		f2.setArguments(b2);

		final Fragment f3 = new TrivialFragment();
		final Bundle b3=new Bundle();
		b3.putInt(TrivialFragment.ARGUMENT_LAYOUT, R.layout.add_event_other_tab);
		f3.setArguments(b3);
		
		t1.setTabListener(new AddEventTabListener(f1));
		t2.setTabListener(new AddEventTabListener(f2));
		t3.setTabListener(new AddEventTabListener(f3));
		
		actionBar.addTab(t1);
		actionBar.addTab(t2);
		actionBar.addTab(t3);
	}
	
	@Override
	public boolean onCreateOptionsMenu(final Menu menu) {
		final MenuInflater inflater = getMenuInflater();
		inflater.inflate(R.menu.add_event, menu);
		return true;
	}
	
	@Override
	public boolean onOptionsItemSelected(final MenuItem item) {
		switch (item.getItemId()) {
			case R.id.cancel:
				finish();
				return true;
			default:
				return false;
		}
	}
	
	public void showTimePickerDialog(View v) {
		if(v.getId()==R.id.date_start || v.getId()==R.id.date_end) {
			DialogFragment newFragment = new DatePickerFragment();
			newFragment.show(getFragmentManager(),"datePicker");
		}
		else {
			DialogFragment newFragment = new TimePickerFragment();
			newFragment.show(getFragmentManager(), "timePicker");
		}
	}
}
